# Created by pyp2rpm-3.3.2
%global pypi_name tinycss2

Name:           python-%{pypi_name}
Version:        1.3.0
Release:        %mkrel 1
Summary:        Low-level CSS parser for Python
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/tinycss2/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
tinycss2 is a low-level CSS parser and generator: it can parse strings, return
Python objects representing tokens and blocks, and generate CSS strings
corresponding to these objects.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
tinycss2 is a low-level CSS parser and generator: it can parse strings, return
Python objects representing tokens and blocks, and generate CSS strings
corresponding to these objects.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tinycss2

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Tue Jul 02 2024 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 2078923
- new version 1.3.0

* Tue Dec 26 2023 wally <wally> 1.2.1-1.mga10
+ Revision: 2021809
- new version 1.2.1
- use %%pyproject_buildrequires

* Thu Sep 08 2022 neoclust <neoclust> 1.1.1-1.mga9
+ Revision: 1885717
- New version  1.1.1

* Wed Mar 30 2022 umeabot <umeabot> 1.1.0-4.mga9
+ Revision: 1833839
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.1.0-3.mga9
+ Revision: 1781135
- rebuild for python-3.10

* Thu Mar 25 2021 daviddavid <daviddavid> 1.1.0-2.mga9
+ Revision: 1709730
- rebuild for python 3.9

* Sun Feb 28 2021 guillomovitch <guillomovitch> 1.1.0-1.mga9
+ Revision: 1694309
- new version 1.1.0

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1532215
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 wally <wally> 1.0.2-2.mga8
+ Revision: 1442271
- rebuild for python3.8
- update description

* Fri Aug 09 2019 shlomif <shlomif> 1.0.2-1.mga8
+ Revision: 1428460
- New version 1.0.2 - remove doc and py2 pkgs

* Thu Jan 10 2019 shlomif <shlomif> 0.6.1-1.mga7
+ Revision: 1354642
- pyp2rpm

